#!/usr/bin/env python

import os
from dm.common.utility.loggingManager import LoggingManager
from dm.common.processing.plugins.fileProcessor import FileProcessor
from dm.ds_web_service.api.dsRestApiFactory import DsRestApiFactory

class DsProcessFileNotificationPlugin(FileProcessor):

    def __init__(self):
        FileProcessor.__init__(self)
        self.dsFileApi = DsRestApiFactory.getFileRestApi()
        self.logger = LoggingManager.getInstance().getLogger(self.__class__.__name__)

    def processFile(self, filePath, daqPath, experiment):
        experimentName = experiment.get('name')
        storageDirectory = experiment.get('storageDirectory')
        fileName = os.path.basename(filePath)
        daqFilePath = os.path.join(storageDirectory, fileName)
        self.logger.debug('Processing file %s' % filePath)

        self.dsFileApi.processFile(fileName, daqFilePath, experimentName)

#######################################################################
# Testing.
if __name__ == '__main__':
    pass
